using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Forms;
using Microsoft.WindowsMobile.PocketOutlook;


namespace Smartphone_CS
{
    public partial class Form1 : Form
    {
        private OutlookSession session;
        private AppointmentCollection AppAppts;
        private ListViewItem lvItems = new ListViewItem ();

        private Contact selContact; //Экземпляр объекта Contact


        public Form1()
        {
            InitializeComponent();
            // Создаем экземпляр сессии Pocket Outlook
            session = new OutlookSession();
         }

        private void menuExit_Click(object sender, EventArgs e)
        {
            Close();
        }
       
        private void menuAppointments_Click(object sender, EventArgs e)
        {
            AppAppts = session.Appointments.Items;

            // Проходим через все элементы коллекции
            foreach (Appointment appt in AppAppts)
            {
                // Создаем объект ListViewItem
                lvItems = new ListViewItem();

                // Разделяем полученные результаты по колонкам
                lvItems.Text = appt.Start.ToShortDateString();
                lvItems.SubItems.Add(appt.Start.ToShortTimeString());
                lvItems.SubItems.Add(appt.Subject);

                // Добавляем в ListView
                lvContacts.Items.Add(lvItems);
            }

            // Не забываем закрыть сессию PocketOutlook
            session.Dispose();
        }

        private void menuContacts_Click(object sender, EventArgs e)
        {
            // Создаем экзмемпляр окна выбора контактов
            ChooseContactDialog сontactDial = new ChooseContactDialog();

            // а также убираем возможность создания новых контактов
            сontactDial.HideNew = true;

            // выводим диалоговое окно на экран
            // и получаем нужную информацию о выбранном контакте
            if (сontactDial.ShowDialog() == DialogResult.OK)
            {
                selContact = сontactDial.SelectedContact;
                txtContact.Text = selContact.FileAs;
                lblMobile.Text = "Mobile: " + selContact.MobileTelephoneNumber.ToString();
                lblPhone.Text = "Phone: " + selContact.HomeTelephoneNumber.ToString();
             }
        }
    }
}